Uploaded image for project: 'Thrift'
  1. Thrift
  2. THRIFT-3975

Security issue in Node.js module dependencies

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Duplicate
    • Affects Version/s: 0.9.3
    • Fix Version/s: None
    • Component/s: Node.js - Library
    • Labels:
    • Environment:

      Any

      Description

      Using RetireJS, the following information was reported:

      ws 0.4.32 has known vulnerabilities: https://nodesecurity.io/advisories/67 advisory: DoS due to excessively large websocket message; https://nodesecurity.io/advisories/120
      project 0.0.1
      ↳ ws 0.4.32

      This shouldn't affect me in the use-case I'll be using Thrift, but should obviously get fixed at some point.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                stelcheck Marc Trudel
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: